CREATE TABLE grc_sim_stat_role (
    SIM_MODEL_ID              NUMBER        ,
    SIM_VERSION_ID            NUMBER        ,
    NAME                      VARCHAR2(1020),
    CONFLICT_COUNT_CURRENT    NUMBER        ,
    CONFLICT_COUNT_NEW        NUMBER        ,
    PATH_COUNT_CURRENT        NUMBER        ,
    PATH_COUNT_NEW            NUMBER        ,
    RUN_ID                    NUMBER(19, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    ROLE_ID                   NUMBER        ,
    SIM_MODEL_ID              NUMBER        ,
    SIM_VERSION_ID            NUMBER        ,
    NAME                      VARCHAR2(1020),
    CONFLICT_COUNT_CURRENT    NUMBER        ,
    CONFLICT_COUNT_NEW        NUMBER        ,
    PATH_COUNT_CURRENT        NUMBER        ,
    PATH_COUNT_NEW            NUMBER        ,
    RUN_ID                    NUMBER(19, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    ROLE_ID                   NUMBER        ,
    CONSTRAINT pk_grc_sim_stat_role PRIMARY KEY (SIM_MODEL_ID, ROLE_ID, SIM_MODEL_ID, ROLE_ID)
);
